Package org.eclipse.birt.chart.event

# Interface I3DRenderEvent

All Known Implementing Classes:
  `Arc3DRenderEvent`, `Area3DRenderEvent`, `Image3DRenderEvent`, `Line3DRenderEvent`, `Oval3DRenderEvent`, `Polygon3DRenderEvent`, `Text3DRenderEvent`

public interface I3DRenderEvent
An interface that all 3D rendering events must extend.

## Method Summary

Modifier and Type
Method
Description
`Object3D`
`getObject3D()`
Returns the 3D object associated with this event.
`void`
`prepare2D(double xOffset, double yOffset)`
Prepares the coordinates to render on 2D plane.

## Method Details

### getObject3D

Object3D getObject3D()
Returns the 3D object associated with this event.

Returns:

### prepare2D

void prepare2D(double xOffset, double yOffset)
Prepares the coordinates to render on 2D plane.

Parameters:
  `xOffset` -
  `yOffset` -